Ghost Inspector

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions

Creates a new Ghost Inspector action in the pipeline

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

POST PARAMETERS
typerequiredstring enum
The type of the action
Allowed enum:
GHOST_INSPECTOR
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
permissionsPermissionsView
Access permissions configuration
integrationrequiredGhostInspectorIntegrationRef
Ghost Inspector integration (GHOST_INSPECTOR)
api_keystring
The API key for Ghost Inspector
regionstring
Geo-location for test execution. The following options are available: us-east-1, us-west-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, eu-west-3, eu-north-1, ap-northeast-1, ap-northeast-2, ap-southeast-1, ap-southeast-2, ap-south-1, sa-east-1
folderstring
The ID of the folder to execute
suitestring
The ID of the suite to execute
browserstring
Alternate browser to use for this execution. The following options are available: firefox (default), firefox-<version> specific version of Firefox, for example firefox-57, chrome (paid plans only), phantomjs
channelstring
Specify the Slack channel to notify for this suite run. Note that the value must be myChannel or %23myChannel and not #myChannel
userstring
The name to associate with the event
passwordstring
The password to associate with the event
immediateboolean
Use to initiate the execution, then immediate return a response (without results)
disable_notificationboolean
Use to disable all notifications for this execution only
start_urlstring
Alternate start URL to use for all tests in this execution only
user_agentstring
Alternate user agent to use for all tests in this execution only
webhookstring
The webhook URL to call after execution
viewportstring
Alternate screen size to use for all tests in this execution only. This should be a string formatted as {width}x{height}, for example 1024x768
data_filestring
A CSV file containing a row of variable values for each suite run. A POST request must be used when sending this file. When included, an array of suite results will be returned instead of an array of test result

Response

RESPONSE BODY
typestring enum
The type of the action
Allowed enum:
GHOST_INSPECTOR
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
integrationIntegrationIdentifierView
The integration used by the action
api_keystring
The API key for Ghost Inspector
regionstring
Geo-location for test execution. The following options are available: us-east-1, us-west-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, eu-west-3, eu-north-1, ap-northeast-1, ap-northeast-2, ap-southeast-1, ap-southeast-2, ap-south-1, sa-east-1
folderstring
The ID of the folder to execute
suitestring
The ID of the suite to execute
browserstring
Alternate browser to use for this execution. The following options are available: firefox (default), firefox-<version> specific version of Firefox, for example firefox-57, chrome (paid plans only), phantomjs
channelstring
Specify the Slack channel to notify for this suite run. Note that the value must be myChannel or %23myChannel and not #myChannel
userstring
The name to associate with the event
passwordstring
The password to associate with the event
immediateboolean
Use to initiate the execution, then immediate return a response (without results)
disable_notificationboolean
Use to disable all notifications for this execution only
start_urlstring
Alternate start URL to use for all tests in this execution only
user_agentstring
Alternate user agent to use for all tests in this execution only
webhookstring
The webhook URL to call after execution
viewportstring
Alternate screen size to use for all tests in this execution only. This should be a string formatted as {width}x{height}, for example 1024x768
data_filestring
A CSV file containing a row of variable values for each suite run. A POST request must be used when sending this file. When included, an array of suite results will be returned instead of an array of test result

Last modified on Mar 18, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Ghost Inspector Action", "type": "GHOST_INSPECTOR", "trigger_time": "ON_EVERY_EXECUTION", "variables": [ { "key": "filePath", "value": "variable.csv" } ], "user": "username", "password": "ha16@sdharj21529aA==", "immediate": false, "disable_notification": false, "region": "us-east-1", "browser": "opera", "suite": "5c9ca42171f823532163ef760", "folder": "5cd019551a5fads555105142", "channel": "slack_channel_name", "viewport": "5c9ca42171f8231b363ef760", "data_file": "$filePath", "start_url": "https://app.buddy.works/nickname", "user_agent": "usernameghost", "integration": { "identifier": "ghost-inspector" } }'
STATUS
200 OK